body {
  background: rgb(85, 144, 189);
  background: linear-gradient(
    90deg,
    rgba(85, 144, 189, 1) 0%,
    rgba(108, 183, 240, 1) 54%,
    rgba(182, 216, 242, 1) 82%
  );
  text-align: center;
  font-family: Arial, Helvetica, sans-serif;
  font-family: "Oswald", sans-serif;
}

h1 {
  color: white;
}

.pokemon-container {
  
  width:80%;
  margin-bottom: 40px;
  margin-top: 20px;
  display: grid;
  grid-template-columns: repeat(auto-fit,minmax(200px,0.5fr));
  grid-gap: 2rem;
}

.pokemon-block {
  border-radius: 10px;
  padding: 10px;
  background-color: white;
  box-shadow: 0 3px 15px rgba(100, 100, 100, 0.5);
  
}



.pokemon-block p {
  margin: 5px;
}

.name {
  text-transform: capitalize;
  font-weight: bold;
  font-size: 1.2rem;
}


.pagination {
  width: 90%;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 50px;
}

.card-container {
  position: relative;
  width: 100%;
  height: 100%;
  text-align: center;
  transition: transform 0.8s;
  transform-style: preserve-3d;
}
